﻿using System;

using Xamarin.Forms;
using Syncfusion.SfChart.XForms;
using System.Collections.ObjectModel;
using System.Linq;

namespace ChartGettingStarted
{
    public class CustomDataPointSelection : ContentPage
    {
        ObservableCollection<ChartDataPoint> dataPoints;

        SfChart chart;

        public CustomDataPointSelection()
        {
            dataPoints = new ObservableCollection<ChartDataPoint>();

            chart = new SfChart();
            chart.Title.Text = "Average Sales Comparison";
            chart.VerticalOptions = LayoutOptions.FillAndExpand;
            chart.HorizontalOptions = LayoutOptions.FillAndExpand;

            chart.PrimaryAxis = new DateTimeAxis();
            chart.PrimaryAxis.Title.Text = "Sales across months";
            chart.PrimaryAxis.LabelCreated += PrimaryAxis_LabelCreated;

            chart.SecondaryAxis = new NumericalAxis();
            chart.SecondaryAxis.Title.Text = "Sales amount in millions";

            dataPoints.Add(new ChartDataPoint(new DateTime(2017, 01, 01), 10));
            dataPoints.Add(new ChartDataPoint(new DateTime(2017, 02, 01), 30));
            dataPoints.Add(new ChartDataPoint(new DateTime(2017, 03, 01), 15));
            dataPoints.Add(new ChartDataPoint(new DateTime(2017, 04, 01), 60));
            dataPoints.Add(new ChartDataPoint(new DateTime(2017, 05, 01), 95));

            ColumnSeries columnSeries = new ColumnSeries();
            columnSeries.ItemsSource = dataPoints;
            chart.Series.Add(columnSeries);

            Content = chart;
        }

        private void PrimaryAxis_LabelCreated(object sender, ChartAxisLabelEventArgs e)
        {
            string date = e.LabelContent;
            DateTime dateTime = Convert.ToDateTime(date);
            e.LabelContent = String.Format("{0:MM/yyyy}", dateTime);
        }
    }
}

